メインコンテンツへスキップ
GET
https://{tenantDomain}/api/v2
/
refresh-tokens
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.RefreshTokens.GetAsync(
            "id"
        );
    }

}
package example

import (
context "context"

client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.RefreshTokens.Get(
context.TODO(),
"id",
)
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.refreshTokens().get("id");
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;

$client = new Management(
token: '<token>',
);
$client->refreshTokens->get(
'id',
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.refresh_tokens.get(
id="id",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.refresh_tokens.get(id: "id")
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.refreshTokens.get("id");
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.refreshTokens.get("id");
}
main();
curl --request GET \
--url https://{tenantDomain}/api/v2/refresh-tokens/{id} \
--header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "user_id": "auth0|507f1f77bcf86cd799439020",
  "created_at": "2023-11-07T05:31:56Z",
  "idle_expires_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "device": {
    "initial_ip": "<string>",
    "initial_asn": "<string>",
    "initial_user_agent": "<string>",
    "last_ip": "<string>",
    "last_asn": "<string>",
    "last_user_agent": "<string>"
  },
  "client_id": "<string>",
  "session_id": "<string>",
  "rotating": true,
  "resource_servers": [
    {
      "audience": "<string>",
      "scopes": "<string>"
    }
  ],
  "refresh_token_metadata": {},
  "last_exchanged_at": "2023-11-07T05:31:56Z"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

id
string
必須

ID refresh token to retrieve

レスポンス

The refresh token was retrieved

id
string

The ID of the refresh token

user_id
string
デフォルト:auth0|507f1f77bcf86cd799439020

ID of the user which can be used when interacting with other APIs.

created_at

The date and time when the refresh token was created

idle_expires_at

The date and time when the refresh token was created

expires_at

The date and time when the refresh token was created

device
object

Device used while issuing/exchanging the refresh token

client_id
string

ID of the client application granted with this refresh token

session_id
string | null

ID of the authenticated session used to obtain this refresh-token

rotating
boolean

True if the token is a rotating refresh token

resource_servers
object[]

A list of the resource server IDs associated to this refresh-token and their granted scopes

refresh_token_metadata
object | null

Metadata associated with the refresh token, in the form of an object with string values (max 255 chars). Maximum of 25 metadata properties allowed.

last_exchanged_at

The date and time when the refresh token was created